import sys
import subprocess

def deploy_image(repo_ip, image_name, disk, partition, protocol, protocol_options, *args):
    try:
        result = subprocess.run(
            ["deployImage", repo_ip, image_name, disk, partition, protocol, protocol_options, *args],
            check=True
        )
        return result.returncode
    except subprocess.CalledProcessError as e:
        return e.returncode

if __name__ == "__main__":
    if len(sys.argv) < 7:
        print("Usage: python RestaurarImagen.py <disk> <partition> <image_name> <repo_ip> <protocol> <protocol_options> [additional_args...]")
        sys.exit(1)

    disk = sys.argv[1]
    partition = sys.argv[2]
    image_name = sys.argv[3]
    repo_ip = sys.argv[4]
    protocol = sys.argv[5]
    protocol_options = sys.argv[6]
    additional_args = sys.argv[7:]

    exit_code = deploy_image(repo_ip, image_name, disk, partition, protocol, protocol_options, *additional_args)
    sys.exit(exit_code)